$!-----------------------------------------------------------------------------
$! STARTUP_DECNET.COM
$!
$! Example startup for WASD DECnet-based scripting with OSU scripting support.
$! This procedure should be called from the HTTP server startup procedure
$! before actually starting-up the HTTPd.
$!
$! 17-JUL-98  MGD  renamed from STARTUP_OSU.COM
$! 10-JAN-98  MGD  initial
$!-----------------------------------------------------------------------------
$!
$! -----------------------
$! NETSERVER logical names
$! -----------------------
$!
$!(uncomment either of these definitions as appropriate)
$!! DEFINE /SYSTEM NETSERVER$TIMEOUT "0 00:00:30"
$!! DEFINE /SYSTEM NETSERVER$SERVERS_HTTP$SERVER 5
$!
$! -----------------
$! OSU Logical Names
$! -----------------
$ HT_ROOT = F$TRNLNM("HT_ROOT") - ".]" + ".SRC.OSU.]"
$ DEFINE /SYSTEM /EXEC /TRANS=CONCEALED WWW_ROOT 'HT_ROOT'
$ DEFINE /SYSTEM /EXEC HTBIN CGI-BIN:[000000]
$!
$ IF F$SEARCH("SYS$SYSTEM:NCL.EXE") .NES. ""
$ THEN
$!   -----------------------------
$!   DECnet-Plus (Phase-V) Objects
$!   -----------------------------
$    MCR NCL
!
! WASD CGI object
!
CREATE NODE 0 SESSION CONTROL APPLICATION CGIWASD
SET NODE 0 SESSION CONTROL APPLICATION CGIWASD ADDRESSES = {NAME=CGIWASD} -
,CLIENT =  -
,INCOMING ALIAS = TRUE -
,INCOMING PROXY = TRUE -
,OUTGOING ALIAS = FALSE -
,OUTGOING PROXY = TRUE -
,NODE SYNONYM = TRUE -
,IMAGE NAME = CGI-BIN:[000000]CGIWASD.COM -
,INCOMING OSI TSEL =  
!
! OSU object
!
CREATE NODE 0 SESSION CONTROL APPLICATION WWWEXEC
SET NODE 0 SESSION CONTROL APPLICATION WWWEXEC ADDRESSES = {NAME=WWWEXEC} -
,CLIENT =  -
,INCOMING ALIAS = TRUE -
,INCOMING PROXY = TRUE -
,OUTGOING ALIAS = FALSE -
,OUTGOING PROXY = TRUE -
,NODE SYNONYM = TRUE -
,IMAGE NAME = CGI-BIN:[000000]WWWEXEC.COM -
,INCOMING OSI TSEL =  
$!
$ ELSE
$!   -----------------------
$!   DECnet Phase-IV Objects
$!   -----------------------
$    MCR NCP
! WASD CGI object (volatile)
SET OBJECT CGIWASD NUMBER 0 FILE CGI-BIN:[000000]CGIWASD.COM
! OSU object (volatile)
SET OBJECT WWWEXEC NUMBER 0 FILE CGI-BIN:[000000]WWWEXEC.COM
$!
$ ENDIF
$!-----------------------------------------------------------------------------
