$!----------------------------------------------------------------------------
$! DCL for supporting Java classes as HTTPd scripts.
$! Works in conjunction with the CGIplus class provided in CGIplus.java 
$! May require modification for local site Java environment.
$! Developed using the first-release JDK1.1 beta kit for OpenVMS Alpha V7.1
$! Add ".CLASS @CGI-BIN:[000000]JAVA" to the "[DclScriptRunTime]" parameter
$! in the HTTP$CONFIG configuration file.
$! 09-DEC-97  MGD  initial
$!----------------------------------------------------------------------------
$ set noon
$!(include Java class directory in the local class path)
$ classpath = f$trnlnm("CLASSPATH") + ":/ht_root/java/"
$!(extract just the class file name from the full file path)
$ class = f$edit(f$element(1,"]",p1),"lowercase")
$ class = f$element(0,".",class)
$!(make sure "java" verb is CLI Java and with any options we require)
$ java = "java"
$ dcgipluseof = f$trnlnm("CGIPLUSEOF")
$ if dcgipluseof .nes. "" -
     then dcgipluseof = " ""-Dcgipluseof=" + dcgipluseof + """"
$!(reading from System.in should give the standard CGI HTTP stream)
$ define /user sys$input http$input
$!(ok, here's the Java command)
$ java -classpath 'classpath''dcgipluseof' 'class'
$!(bit of tidying up)
$ statuslognam = "JAVA$STATUS_" + f$getjpi("","PID")
$ if f$trnlnm(statuslognam) then deassign /job 'statuslognam'
$!----------------------------------------------------------------------------
