$!-----------------------------------------------------------------------------
$! UPDATEAFTER.COM
$!
$! Cleanup files from previous versions that are no longer required,
$! plus any other general post-upgrade activities that can be automated.
$!
$! 27-JUN-98  MGD  after v5.0
$! 16-MAR-98  MGD  initial
$!-----------------------------------------------------------------------------
$ SET NOON
$!
$ type sys$input

  *****************************************************************
  *   Ignore any warnings about files or directories not found.   *
  *  (It attempts to clean up after all known versions of WASD!)  *
  *****************************************************************

$! whatever to v5.0.0
$ DELETE HT_ROOT:[000000]CHANGES.HTML;*
$ DELETE HT_ROOT:[000000]UPGRADINGBEWARE.HTML;*
$ DELETE HT_ROOT:[000000]HFRDTOWASD.HTML;*
$ DELETE HT_ROOT:[000000]ADMIN.GIF;*
$ DELETE HT_ROOT:[000000]EDIT.GIF;*
$ DELETE HT_ROOT:[000000]UPDATE.GIF;*
$ DELETE HT_ROOT:[RUNTIME.CONAN]SPACER.GIF;*
$ DELETE HT_ROOT:[DOC]DECUS95_WWW_INTRO.PS;*
$!
$! v5.0.0 to v5.1.0
$ DELETE HT_ROOT:[000000]AFTERUPDATE.COM;*
$ DELETE HT_ROOT:[$_READ_1ST]READ1ST_0600.HTML;*
$ DELETE HT_ROOT:[$_READ_1ST]READ1ST_0700.HTML;*
$ DELETE HT_ROOT:[$_READ_1ST]READ1ST_0800.HTML;*
$ DELETE HT_ROOT:[EXAMPLE]STARTUP_OSU.COM;*
$ DELETE HT_ROOT:[RUNTIME.CONAN]CONAN.GIF;*
$ DELETE HT_ROOT:[RUNTIME.DBIV]DBIV.GIF;*
$ DELETE HT_ROOT:[RUNTIME.HDISK]HDISK.GIF;*
$ DELETE HT_ROOT:[RUNTIME.HWP]HWP.GIF;*
$ DELETE HT_ROOT:[RUNTIME.HYPERSHELF]CLOSE.GIF;*
$ DELETE HT_ROOT:[RUNTIME.HYPERSHELF]HELP.GIF;*
$ DELETE HT_ROOT:[RUNTIME.HYPERSHELF]HR.GIF;*
$ DELETE HT_ROOT:[RUNTIME.HYPERSHELF]HYPERSHELF.GIF;*
$ DELETE HT_ROOT:[RUNTIME.HYPERREADER]*.GIF;*
$ DELETE HT_ROOT:[RUNTIME.HYPERSPI]HYPERSPI.GIF;*
$ DELETE HT_ROOT:[SRC]PRUNE.COM;*
$ DELETE HT_ROOT:[SRC]RELINK_ALL.COM;*
$ DELETE HT_ROOT:[SRC.EXTRACT...]EXTRACTFILE.*;*
$ DELETE HT_ROOT:[SRC.EXTRACT...]COPYTEXT.*;*
$ DELETE HT_ROOT:[SRC.HYPERSPI]HYPERSPI.GIF;*
$ DELETE HT_ROOT:[SRC.HYPERSPI]HYPERSPI_EXAMPLE.JPG;*
$ DELETE HT_ROOT:[SRC.QUERY...]COPYTEXT.*;*
$ DELETE HT_ROOT:[SRC.QUERY...]SEARCHFILES.*;*
$ DELETE HT_ROOT:[SRC.QUERY...]SEARCHHTMLFILE.*;*
$ DELETE HT_ROOT:[SRC.QUERY...]SEARCHTEXTFILE.*;*
$ DELETE HT_ROOT:[SRC.MISC]BUILD_CALENDAR.COM;*
$ DELETE HT_ROOT:[SRC.MISC]BUILD_CHARSET.COM;*
$ DELETE HT_ROOT:[SRC.MISC]BUILD_CHKACC.COM;*
$ DELETE HT_ROOT:[SRC.MISC]BUILD_COLORS.COM;*
$ DELETE HT_ROOT:[SRC.MISC]BUILD_GLIST.COM;*
$ DELETE HT_ROOT:[SRC.MISC]BUILD_HDISK.COM;*
$!
$!-----------------------------------------------------------------------------
